GuidesAPI Reference
API Reference

Updates a shipment plan details

Updates details of a shipment plan identified by the shipmentPlanId. This is a partial update, meaning that only the provided fields will be updated. If ruleIds field is specified, it will replace the existing rules currently associated with the shipment plan.

Note: segments cannot be edited through this API. Changing the order of the segments in a plan would cause shipments created from earlier versions of the plan diverge from a shipment instantiated from the new plan with different segment structure. Individual segments can still be updated via the shipments/v4/plans/{shipmentPlanId}/{segmentPlanId} endpoint.

Path Params
string
required

Shipment plan ID

Body Params
string
length ≤ 50

Name of the shipment

string
length ≤ 1000

Description of the shipment

boolean

A boolean parameter defining whether the shipment starts upon exiting the first origin location.

boolean

Flag telling if shipment is a subShipment.

ruleIds
array of uuids
length ≤ 10

Array of ruleIds to associate with the shipment

ruleIds
Responses
204

Successful (no content)

The shipment plan information was updated

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json